#include "simplefile.hpp"

Simplefile::Simplefile() : id(0), name(""), path(""), type("")
{}

bool Simplefile::operator!=(const Simplefile& rhs) const
{
  return (this->id != rhs.id);
}

bool Simplefile::operator==(const Simplefile& rhs) const
{
  return (this->id == rhs.id);
}

bool Simplefile::operator<(const Simplefile& rhs) const
{
  return (this->name < rhs.name);
}
